4Suite™ API Documentation

# ► Module Ft.Xml.XPath._4xpath

Implementation of '4xpath' command (functions defined here are used by the Ft.Lib.CommandLine framework)

    Copyright 2006 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: XPathCommandLineApp |  |  |  | Functions: Run |  |  |  | Globals: MAX_PYTHON_RECURSION_DEPTH, g_nssBindingPattern, g_paramBindingPattern

## Classes

class XPathCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

  ### Methods

  run(self, options, arguments)
    Overrides: run from class CommandLineApp
  validate_arguments(self, args)
    Overrides: validate_arguments from class CommandLineApp

  ### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  __init__, gen_command_tree, gen_usage, get_help_doc_info, main, parse_command_line, run_commands, validate_options

  ### Methods inherited from class Ft.Lib.CommandLine.Command.Command

  break_parent_relationship, build_parent_relationship, flatten_command_tree

  ### Members

  arguments = [<Ft.Lib.CommandLine.Arguments.RequiredArgument instance>, <Ft.Lib.CommandLine.Arguments.RequiredArgument instance>]
  description = '4XPath command-line application'
  name = '4xpath'
  options = [[--define=<NAME=VALUE>], [--namespace=<PREFIX=NAMESPACE>], [--stacktrace-on-error], [--string]]
  project_name = '4Suite-XML'
  project_url = 'http://4suite.org/'
  project_version = '1.0rc5'
  summary = 'command-line tool for performing XPath queries on XML documents'

  ### Members inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

  commands, example, global_options

## Functions

Run(options, args)

## Globals

MAX_PYTHON_RECURSION_DEPTH = 10000
g_nssBindingPattern = <_sre.SRE_Pattern object>
  Compiled regular expression objects
g_paramBindingPattern = <_sre.SRE_Pattern object>
  Compiled regular expression objects